Subject: V2.0.x kernel stability

From: David C P Gray <[email-masked]>
Date: Mon, 9 Sep 1996 23:27:52 +0800 (WST)

I am trying to install the Debian 1.1 system and am having some
serious stability problems. My apologies if this has been discussed on
the list already, but I am fast running out of ideas and have not been
able to find any hints in the list archives.

The symptoms of the problem are that the system boots just fine, but
after some (apparently random) period of time, every command starts
dumping core with a segmentation fault. Just about the only thing that
works after this is a 'sync' or two and a hard reset.

I have tried compiling the kernel (2.0.6 and 2.0.18) with no luck. I 
checked out the SIG 11 FAQ and following a suggestion there, re-compiled 
GCC and then rebuilt the kernel with that. Still no joy.

The PC is an antique 386 that has been running Linux for over 3 years
and Debian 0.93 with a version 1.2.13 kernel for most of the last year
without *any* problems. I am seeing the problems while trying to update
it using a recent base system and the 96-07-14 boot disk series
(version 2.0.0 kernel).

If anyone has any light to shed on the problem, I would be most
grateful for any suggestions. I am happy to provide more specific
information on the system if required

Please reply directly to me as I am not subscribed to the list at the
moment and I will post a summary back to the list if there is anyone
else having similar problems.

Thanks in advance.
David Gray.